org.eclipse.jetty.util.ajax

## Class JSONPojoConvertor.Setter

- java.lang.Object
- - org.eclipse.jetty.util.ajax.JSONPojoConvertor.Setter

- Enclosing class:
    JSONPojoConvertor

      public static class JSONPojoConvertor.Setter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class<?>` | `_componentType`
    `protected JSONPojoConvertor.NumberType` | `_numberType`
    `protected java.lang.String` | `_propertyName`
    `protected java.lang.reflect.Method` | `_setter`
    `protected java.lang.Class<?>` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONPojoConvertor.Setter(java.lang.String propertyName, java.lang.reflect.Method method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getComponentType()`
    `java.lang.reflect.Method` | `getMethod()`
    `JSONPojoConvertor.NumberType` | `getNumberType()`
    `java.lang.String` | `getPropertyName()`
    `java.lang.Class<?>` | `getType()`
    `void` | `invoke(java.lang.Object obj, java.lang.Object value)`
    `protected void` | `invokeObject(java.lang.Object obj, java.lang.Object value)`
    `boolean` | `isPropertyNumber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _propertyName

          protected java.lang.String _propertyName

    - #### _setter

          protected java.lang.reflect.Method _setter

    - #### _numberType

          protected JSONPojoConvertor.NumberType _numberType

    - #### _type

          protected java.lang.Class<?> _type

    - #### _componentType

          protected java.lang.Class<?> _componentType

  - ### Constructor Detail

    - #### JSONPojoConvertor.Setter

          public JSONPojoConvertor.Setter(java.lang.String propertyName,
                                  java.lang.reflect.Method method)

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### getNumberType

          public JSONPojoConvertor.NumberType getNumberType()

    - #### getType

          public java.lang.Class<?> getType()

    - #### getComponentType

          public java.lang.Class<?> getComponentType()

    - #### isPropertyNumber

          public boolean isPropertyNumber()

    - #### invoke

          public void invoke(java.lang.Object obj,
                    java.lang.Object value)
                      throws java.lang.IllegalArgumentException,
                             java.lang.IllegalAccessException,
                             java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`

    - #### invokeObject

          protected void invokeObject(java.lang.Object obj,
                          java.lang.Object value)
                               throws java.lang.IllegalArgumentException,
                                      java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.